Class Specialization
ExactFragment
A type for ungapped, pairwise segment matches.

Fragment

ExactFragment

Fragment<TSize, ExactFragment<TSpec> >
Include Headers
seqan/refinement.h
Parameters

TSize | The Size type of the underlying sequences. Metafunctions: Size
TSpec | The specializing type for the graph. Metafunctions: Spec

Specialization of
Fragment
Member Functions

Fragment | Constructor. (Fragment)

Functions

fragmentBegin | Gets the begin position for this fragment or this vertex descriptor in the sequence. (Fragment)
fragmentLength | Gets the length of the label of a given vertex descriptor in the sequence. (Fragment)
getProjectedPosition | Projects a position of one sequence taking part in a pairwise match onto the other sequence. (Fragment)
isReversed | Returns true if the segment match is in reverse orientation. (Fragment)
label | Gets the label that is associated with this vertex descriptor or the sequence that is associated with a fragment. (Fragment)
matchRefinement | Refines (i.e. cuts into smaller parts) a set of pairwise segment matches in such a way that none of the segments partly overlap. They are either identical (fully overlapping) or non-overlapping. (Fragment)
sequenceId | Gets the sequence id that is associated with this vertex descriptor or with a sequence of a fragment. (Fragment)

See Also
ExactReversableFragment
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51